Package org.apache.sysds.runtime.instructions.cp

## Class TriggerCheckpointTask

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.TriggerCheckpointTask

All Implemented Interfaces:
  `Runnable`

    public class TriggerCheckpointTask
    extends Object
    implements Runnable

### Constructor Summary

Constructors
`TriggerCheckpointTask​(MatrixObject mo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TriggerCheckpointTask

    public TriggerCheckpointTask​(MatrixObject mo)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`